Bug 1125427 - Compile logcheck for CentOS 7
Summary: Compile logcheck for CentOS 7
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: logcheck
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 19:32 UTC by Randy Holmes
Modified: 2015-01-27 19:32 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-08 09:03:18 UTC


Attachments (Terms of Use)

Description Randy Holmes 2014-07-31 19:32:40 UTC
Description of problem:
May I please request getting Logcheck compiled to run on CentOS 7?
Thanks.

Comment 1 Mike 2014-12-12 18:52:53 UTC
This is something I need as well. I imagine as CentOS 7 gets more and more usage, the requests for this will grow quite a bit.

Comment 2 Randy Holmes 2015-01-02 03:21:22 UTC
It used to be that RedHat was proud of their server security.  Not having a tool that can monitor logs effectively, casts doubts on that claim.

Comment 3 Fedora Update System 2015-01-05 16:15:19 UTC
logcheck-1.3.15-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/logcheck-1.3.15-2.el7

Comment 4 Fedora Update System 2015-01-06 02:08:57 UTC
Package logcheck-1.3.15-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing logcheck-1.3.15-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0084/logcheck-1.3.15-2.el7
then log in and leave karma (feedback).

Comment 5 Randy Holmes 2015-01-06 03:53:25 UTC
Perhaps needs to be "yum install" rather than "yum update".
Then it fails - Requires: perl-mime-construct.

Comment 6 Randy Holmes 2015-01-07 03:10:01 UTC
Is perl-mime-construct available anywhere?

Comment 7 Matthias Runge 2015-01-07 07:16:07 UTC
lots of other deps missing. I'm working on that.

Comment 8 Fedora Update System 2015-01-07 11:21:53 UTC
perl-IPC-Signal-1.00-13.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-IPC-Signal-1.00-13.el7

Comment 9 Fedora Update System 2015-01-07 12:11:22 UTC
perl-Proc-WaitStat-1.00-13.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Proc-WaitStat-1.00-13.el7

Comment 10 Fedora Update System 2015-01-07 12:20:44 UTC
perl-mime-construct-1.11-13.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-mime-construct-1.11-13.el7

Comment 11 Matthias Runge 2015-01-07 12:30:11 UTC
liblockfile still misses a rebuild. I hope I can get this done today or tomorrow, depending on when I get the SCM request processed.

Comment 12 Fedora Update System 2015-01-07 13:19:25 UTC
liblockfile-1.08-18.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/liblockfile-1.08-18.el7

Comment 13 Randy Holmes 2015-01-07 14:28:13 UTC
Tried to install perl-mime-construct

warning: user mockbuild does not exist - using root

Comment 14 Matthias Runge 2015-01-08 09:03:18 UTC
Randy,
not sure, what you did:

yum --enablerepo=epel-testing install logcheck
...    
Resolving Dependencies
--> Running transaction check
---> Package logcheck.noarch 0:1.3.15-2.el7 will be installed
--> Processing Dependency: perl-mime-construct for package: logcheck-1.3.15-2.el7.noarch
--> Processing Dependency: lockfile-progs for package: logcheck-1.3.15-2.el7.noarch
--> Running transaction check
---> Package lockfile-progs.x86_64 0:0.1.15-7.el7 will be installed
--> Processing Dependency: liblockfile.so.1()(64bit) for package: lockfile-progs-0.1.15-7.el7.x86_64
---> Package perl-mime-construct.noarch 0:1.11-13.el7 will be installed
--> Processing Dependency: perl(Proc::WaitStat) for package: perl-mime-construct-1.11-13.el7.noarch
--> Running transaction check
---> Package liblockfile.x86_64 0:1.08-18.el7 will be installed
---> Package perl-Proc-WaitStat.noarch 0:1.00-13.el7 will be installed
--> Processing Dependency: perl(IPC::Signal) for package: perl-Proc-WaitStat-1.00-13.el7.noarch
--> Running transaction check
---> Package perl-IPC-Signal.noarch 0:1.00-13.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================
 Package                                                  Arch                                        Version                                              Repository                                         Size
============================================================================================
Installing:
 logcheck                                                 noarch                                      1.3.15-2.el7                                         epel-testing                                      121 k
Installing for dependencies:
 liblockfile                                              x86_64                                      1.08-18.el7                                          epel-testing                                       22 k
 lockfile-progs                                           x86_64                                      0.1.15-7.el7                                         epel                                               20 k
 perl-IPC-Signal                                          noarch                                      1.00-13.el7                                          epel-testing                                       10 k
 perl-Proc-WaitStat                                       noarch                                      1.00-13.el7                                          epel-testing                                       11 k
 perl-mime-construct                                      noarch                                      1.11-13.el7                                          epel-testing                                       23 k

Transaction Summary
====================================================================================================================
Install  1 Package (+5 Dependent packages)

Total download size: 206 k
Installed size: 511 k
Is this ok [y/d/N]: y
Downloading packages:
(1/6): perl-IPC-Signal-1.00-13.el7.noarch.rpm          |  10 kB  00:00:00     
(2/6): perl-Proc-WaitStat-1.00-13.el7.noarch.rpm       |  11 kB  00:00:00     
(3/6): lockfile-progs-0.1.15-7.el7.x86_64.rpm          |  20 kB  00:00:00     
(4/6): liblockfile-1.08-18.el7.x86_64.rpm              |  22 kB  00:00:00     
(5/6): perl-mime-construct-1.11-13.el7.noarch.rpm      |  23 kB  00:00:00     
(6/6): logcheck-1.3.15-2.el7.noarch.rpm                | 121 kB  00:00:00     
------------------------------------------------------------------------------------------
Total                                                                                                                                                                              224 kB/s | 206 kB  00:00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : perl-IPC-Signal-1.00-13.el7.noarch        1/6 
  Installing : perl-Proc-WaitStat-1.00-13.el7.noarch     2/6 
  Installing : perl-mime-construct-1.11-13.el7.noarch    3/6 
  Installing : liblockfile-1.08-18.el7.x86_64            4/6 
  Installing : lockfile-progs-0.1.15-7.el7.x86_64        5/6 
  Installing : logcheck-1.3.15-2.el7.noarch              6/6 
rhel-7-server-rpms/7Server/x86_64/productid          | 1.7 kB  00:00:00     
  Verifying  : logcheck-1.3.15-2.el7.noarch              1/6 
  Verifying  : liblockfile-1.08-18.el7.x86_64            2/6 
  Verifying  : perl-mime-construct-1.11-13.el7.noarch    3/6 
  Verifying  : lockfile-progs-0.1.15-7.el7.x86_64        4/6 
  Verifying  : perl-IPC-Signal-1.00-13.el7.noarch        5/6 
  Verifying  : perl-Proc-WaitStat-1.00-13.el7.noarch     6/6 

Installed:
  logcheck.noarch 0:1.3.15-2.el7                                                                                                                                                                                   

Dependency Installed:
  liblockfile.x86_64 0:1.08-18.el7     lockfile-progs.x86_64 0:0.1.15-7.el7     perl-IPC-Signal.noarch 0:1.00-13.el7     perl-Proc-WaitStat.noarch 0:1.00-13.el7     perl-mime-construct.noarch 0:1.11-13.el7    

Complete!

Comment 15 Randy Holmes 2015-01-08 10:25:38 UTC
I downloaded perl-mime-construct separately and installed it.
Just tested with a fresh install of Centos 7 and your logcheck installed.  Much happiness!

I won't be able to play with it much for a few days, but many thanks.

Comment 16 Randy Holmes 2015-01-17 03:13:22 UTC
Having a play, clean install of CentOS 7 minimal.  I get this, and /tmp/logcheck.* doesn't exist.


Warning: If you are seeing this message, your log files may not have been
checked!

Details:
Could not run logtail or save output

Check temporary directory: /tmp/logcheck.aVQL4j

Also verify that the logcheck user can read all files referenced in
/etc/logcheck/logcheck.logfiles!

declare -x HOME="/var/lib/logcheck"
declare -x LANG="en_AU.UTF-8"
declare -x LOGNAME="logcheck"
declare -x MAILTO="root"
declare -x OLDPWD
declare -x PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
declare -x PWD="/var/lib/logcheck"
declare -x SHELL="/bin/sh"
declare -x SHLVL="2"
declare -x USER="logcheck"
declare -x XDG_RUNTIME_DIR="/run/user/997"
declare -x XDG_SESSION_ID="1"

Comment 17 Randy Holmes 2015-01-18 03:11:48 UTC
Looks like it needs syslog-ng with a few edits.

Comment 18 Matthias Runge 2015-01-19 07:32:50 UTC
(In reply to Randy Holmes from comment #17)
> Looks like it needs syslog-ng with a few edits.

not necessarily. You could use rsyslog as well. Take care, you modify logrotate rules to make sure, your logfiles to be checked are owned by group adm.

Comment 19 Fedora Update System 2015-01-26 20:09:32 UTC
perl-Proc-WaitStat-1.00-13.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 20 Fedora Update System 2015-01-26 20:09:58 UTC
perl-IPC-Signal-1.00-13.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 21 Fedora Update System 2015-01-26 20:11:28 UTC
liblockfile-1.08-18.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 22 Fedora Update System 2015-01-26 20:13:37 UTC
perl-mime-construct-1.11-13.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 23 Fedora Update System 2015-01-27 19:32:29 UTC
logcheck-1.3.15-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.